Subject: RE: Mandating Route Optimization

From: Samita Chakrabarti <[email-masked]>
Date: Fri, 31 May 2002 15:51:50 -0700 (PDT)

> 
> I don't know if this has been mentioned, but
> regardless of whether implementation of RO for
> CN's is a MUST/SHOULD, there should be text in the
> draft that "RO MUST have a means to be
> administratively disabled on the CN."
> 

I don't think there is any text in the
MIPv6 draft which talks about the disabling and enabling
RO functionality.  It makes sense to have that text in the
draft.

As for existing IPv6 nodes that do not support MIPv6 at all
and does not recognize "mobility Header", the draft should
specify that they should respond with a ICMP PARAM problem.
We have discussed that in the mobile-ip mailing list.

Irrespective of RO being MUST/SHOULD, non-MIPv6 compliant IPv6
nodes should send ICMP error when it receives a binding
update with MIPv6 protocol headers. 

If the mobile node sees an error from CN for processing BU, then
it will continue communication through reverse tunnel path.

So, I don't see much issues with incompatibility with existing
IPv6 nodes-except they need to upgrade to mipv6-compliant IPv6
node sometime.  So, it makes a lot of sense to have mandated and
tunable route-optimization for MIPv6 for ipv6 nodes requirements.
 
 -Samita

> Samita Chakrabarti writes:
>  > 
>  > > X-Authentication-Warning: sunroof.eng.sun.com: majordomo set sender to 
>  > [email-masked] using -f
>  > > From: [email-masked]
>  > > X-MimeOLE: Produced By Microsoft Exchange V6.0.5762.3
>  > > content-class: urn:content-classes:message
>  >  
>  > > > 	please be aware of already-deployed IPv6 codebase. WinXP is 
shipping,
>  > > > 	MacOS X will be shipping soon, and mobile-ip6 is not yet an RFC.
>  > > > 	even home address option (which is a MUST) is changing.
>  > > > 	i don't think it a good situation for implementers.
>  > > 
>  > > I think that this will not be a significant problem - I assume that
>  > > there will be more IPv6 implementations coming than what what
>  > > exists already.  Of course, the existing implementations may not
>  > > support Mobile IP and I think that will be something that we have
>  > > to live with.
>  >  
>  >  
>  >  I agree with John completely. We don't have enough IPv6 deployment
>  >  yet and it's good time to make the decision whether Route Optimization
>  >  should be MUST in MobileIPv6. I think, it makes more sense to have
>  >  Route Optimization a 'MUST' in MobileIPv6 draft now than in future,
>  >  when we  might have significant backward compatibility problems.
>  >  
>  >  
>  >  -Samita
>  > 
>  > --------------------------------------------------------------------
>  > IETF IPng Working Group Mailing List
>  > IPng Home Page:                      http://playground.sun.com/ipng
>  > FTP archive:                      ftp://playground.sun.com/pub/ipng
>  > Direct all administrative requests to [email-masked]
>  > --------------------------------------------------------------------

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Jari Arkko <[email-masked]>
Date: Sat, 01 Jun 2002 02:07:32 +0300

> specify that they should respond with a ICMP PARAM problem.

RFC 2463 takes care of this. Draft-17 of MIPv6 specifies how

to deal with the reception of the resulting ICMP parameter
problem in section 11.5.2.

> node sometime.

I agree.

Jari